org.apache.commons.ssl

## Class Ping

- java.lang.Object
- - org.apache.commons.ssl.Ping

    public class Ping
    extends java.lang.Object

Since:
  30-Mar-2006
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com

### Nested Class Summary

Nested Classes
`static class` `Ping.Arg`

### Field Summary

Fields
`protected static Ping.Arg` `ARG_BIND`
`protected static Ping.Arg` `ARG_CERT_CHAIN`
`protected static Ping.Arg` `ARG_CLIENT_CERT`
`protected static Ping.Arg` `ARG_HOST_HEADER`
`protected static Ping.Arg` `ARG_METHOD`
`protected static Ping.Arg` `ARG_PASSWORD`
`protected static Ping.Arg` `ARG_PATH`
`protected static Ping.Arg` `ARG_PROXY`
`protected static Ping.Arg` `ARG_TARGET`
`protected static Ping.Arg` `ARG_TRUST_CERT`
`protected static java.util.SortedSet` `ARGS`
`protected static java.util.Map` `ARGS_MATCH`
`private static java.io.File` `certChain`
`private static java.io.File` `clientCert`
`private static java.lang.String` `hostHeader`
`private static java.lang.String` `httpMethod`
`private static HostPort` `local`
`private static java.net.InetAddress` `localAddress`
`private static int` `localPort`
`private static char[]` `password`
`private static java.lang.String` `path`
`private static HostPort` `proxy`
`private static HostPort` `target`
`private static java.net.InetAddress` `targetAddress`
`private static int` `targetPort`
`private static TrustChain` `trustChain`

### Constructor Summary

Constructors
Constructor and Description
`Ping()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`private static void` `parseArgs(java.lang.String[] cargs)`
`private static java.lang.Exception` `testCRL(SSLClient ssl)`
`private static java.lang.Exception` `testExpiry(SSLClient ssl)`
`private static java.lang.Exception` `testHostname(SSLClient ssl)`
`private static java.lang.Exception` `testTrust(SSLClient ssl, java.lang.String cipher, TrustChain tc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ARGS

    protected static java.util.SortedSet ARGS

#### ARGS_MATCH

    protected static java.util.Map ARGS_MATCH

#### ARG_TARGET

    protected static final Ping.Arg ARG_TARGET

#### ARG_BIND

    protected static final Ping.Arg ARG_BIND

#### ARG_PROXY

    protected static final Ping.Arg ARG_PROXY

#### ARG_TRUST_CERT

    protected static final Ping.Arg ARG_TRUST_CERT

#### ARG_CLIENT_CERT

    protected static final Ping.Arg ARG_CLIENT_CERT

#### ARG_CERT_CHAIN

    protected static final Ping.Arg ARG_CERT_CHAIN

#### ARG_PASSWORD

    protected static final Ping.Arg ARG_PASSWORD

#### ARG_HOST_HEADER

    protected static final Ping.Arg ARG_HOST_HEADER

#### ARG_PATH

    protected static final Ping.Arg ARG_PATH

#### ARG_METHOD

    protected static final Ping.Arg ARG_METHOD

#### target

    private static HostPort target

#### local

    private static HostPort local

#### proxy

    private static HostPort proxy

#### hostHeader

    private static java.lang.String hostHeader

#### httpMethod

    private static java.lang.String httpMethod

#### path

    private static java.lang.String path

#### targetAddress

    private static java.net.InetAddress targetAddress

#### localAddress

    private static java.net.InetAddress localAddress

#### targetPort

    private static int targetPort

#### localPort

    private static int localPort

#### clientCert

    private static java.io.File clientCert

#### certChain

    private static java.io.File certChain

#### password

    private static char[] password

#### trustChain

    private static TrustChain trustChain

### Constructor Detail

#### Ping

    public Ping()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### testTrust

    private static java.lang.Exception testTrust(SSLClient ssl,
                                java.lang.String cipher,
                                TrustChain tc)

#### testHostname

    private static java.lang.Exception testHostname(SSLClient ssl)

#### testCRL

    private static java.lang.Exception testCRL(SSLClient ssl)

#### testExpiry

    private static java.lang.Exception testExpiry(SSLClient ssl)

#### parseArgs

    private static void parseArgs(java.lang.String[] cargs)
                           throws java.lang.Exception

Throws:
  `java.lang.Exception`